Index: test/sasdataloader/test/utest_cansas.py
===================================================================
--- test/sasdataloader/test/utest_cansas.py	(revision 1fc50fb2f9e67f986acaa06fc7cbcba6b1edd00a)
+++ test/sasdataloader/test/utest_cansas.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
@@ -46,6 +46,5 @@
         self.schema_1_0 = "cansas1d_v1_0.xsd"
         self.schema_1_1 = "cansas1d_v1_1.xsd"
-        self.write_1_0_filename = "isis_1_0_write_test.xml"
-        self.write_1_1_filename = "isis_1_1_write_test.xml"
+
 
     def get_number_of_entries(self, dictionary, name, i):
@@ -57,4 +56,5 @@
         return name
 
+
     def test_invalid_xml(self):
         """
@@ -62,5 +62,6 @@
         """
         invalid = StringIO.StringIO('<a><c></b></a>')
-        XMLreader(invalid)
+        reader = XMLreader(invalid)
+
 
     def test_xml_validate(self):
@@ -81,4 +82,5 @@
         self.assertFalse(xmlschema.validate(invalid))
 
+
     def test_real_xml(self):
         reader = XMLreader(self.xml_valid, self.schema_1_0)
@@ -88,4 +90,5 @@
         else:
             self.assertFalse(valid)
+
 
     def _check_data(self, data):
@@ -102,13 +105,18 @@
         self.assertTrue(data.meta_data["xmlpreprocess"] is not None)
 
+
     def _check_data_1_1(self, data):
         spectrum = data.trans_spectrum[0]
         self.assertTrue(len(spectrum.wavelength) == 138)
 
+
     def test_cansas_xml(self):
+        filename = "isis_1_1_write_test.xml"
         xmlreader = XMLreader(self.isis_1_1, self.schema_1_1)
         valid = xmlreader.validate_xml()
         xmlreader.set_processing_instructions()
         self.assertTrue(valid)
+        fo = open(self.isis_1_1)
+        str = fo.read()
         reader_generic = Loader()
         dataloader = reader_generic.load(self.isis_1_1)
@@ -120,12 +128,12 @@
             self._check_data(cansasreader[i])
             self._check_data_1_1(cansasreader[i])
-            reader_generic.save(self.write_1_1_filename, dataloader[i], None)
+            reader_generic.save(filename, dataloader[i], None)
+            fo = open(filename)
+            str = fo.read()
             reader2 = Loader()
-            self.assertTrue(os.path.isfile(self.write_1_1_filename))
-            return_data = reader2.load(self.write_1_1_filename)
+            return_data = reader2.load(filename)
             written_data = return_data[0]
             self._check_data(written_data)
-        if os.path.isfile(self.write_1_1_filename):
-            os.remove(self.write_1_1_filename)
+
 
     def test_double_trans_spectra(self):
@@ -136,4 +144,5 @@
         for item in data:
             self._check_data(item)
+
 
     def test_entry_name_recurse(self):
@@ -146,5 +155,7 @@
         self.assertTrue(len(d) == 6)
 
+
     def test_load_cansas_file(self):
+        valid = []
         reader1 = XMLreader(self.xml_valid, self.schema_1_0)
         self.assertTrue(reader1.validate_xml())
@@ -162,4 +173,5 @@
         self.assertFalse(reader7.validate_xml())
 
+
     def test_invalid_cansas(self):
         list = self.loader.load(self.cansas1d_notitle)
@@ -172,9 +184,10 @@
         self.assertTrue(data.detector[0].distance == 4150)
 
+
     def test_old_cansas_files(self):
         reader1 = XMLreader(self.cansas1d, self.schema_1_0)
         self.assertTrue(reader1.validate_xml())
         file_loader = Loader()
-        file_loader.load(self.cansas1d)
+        file1 = file_loader.load(self.cansas1d)
         reader2 = XMLreader(self.cansas1d_units, self.schema_1_0)
         self.assertTrue(reader2.validate_xml())
@@ -184,5 +197,7 @@
         self.assertTrue(reader4.validate_xml())
 
+
     def test_save_cansas_v1_0(self):
+        filename = "isis_1_0_write_test.xml"
         xmlreader = XMLreader(self.isis_1_0, self.schema_1_0)
         valid = xmlreader.validate_xml()
@@ -195,15 +210,13 @@
             self._check_data(dataloader[i])
             self._check_data(cansasreader[i])
-            reader_generic.save(self.write_1_0_filename, dataloader[i], None)
+            reader_generic.save(filename, dataloader[i], None)
             reader2 = Reader()
-            self.assertTrue(os.path.isfile(self.write_1_0_filename))
-            return_data = reader2.read(self.write_1_0_filename)
+            return_data = reader2.read(filename)
             written_data = return_data[0]
-            XMLreader(self.write_1_0_filename, self.schema_1_0)
+            xmlwrite = XMLreader(filename, self.schema_1_0)
             valid = xmlreader.validate_xml()
             self.assertTrue(valid)
             self._check_data(written_data)
-        if os.path.isfile(self.write_1_0_filename):
-            os.remove(self.write_1_0_filename)
+
 
     def test_processing_instructions(self):
@@ -211,5 +224,5 @@
         valid = reader.validate_xml()
         if valid:
-            # find the processing instructions and make into a dictionary
+            ## find the processing instructions and make into a dictionary
             dic = self.get_processing_instructions(reader)
             self.assertTrue(dic == {'xml-stylesheet': \
@@ -219,7 +232,8 @@
             xmldoc = minidom.parseString(xml)
 
-            # take the processing instructions and put them back in
+            ## take the processing instructions and put them back in
             xmldoc = self.set_processing_instructions(xmldoc, dic)
-            xmldoc.toprettyxml()
+            xml_output = xmldoc.toprettyxml()
+
 
     def set_processing_instructions(self, minidom_object, dic):
@@ -229,4 +243,5 @@
             minidom_object.insertBefore(pi, xmlroot)
         return minidom_object
+
 
     def get_processing_instructions(self, xml_reader_object):
Index: test/sasrealspace/test/early_test.py
===================================================================
--- test/sasrealspace/test/early_test.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/sasrealspace/test/early_test.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,3 +1,2 @@
-from __future__ import print_function
 
 import VolumeCanvas
@@ -31,16 +30,16 @@
         t_0 = time.time()
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print("density = 0.1:  output=%g  time=%g" % (value_1, time.time()-t_0))
+        print "density = 0.1:  output=%g  time=%g" % (value_1, time.time()-t_0)
         
         t_0 = time.time()
         canvas.setParam('lores_density', 1)
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print("density = 1000:  output=%g  time=%g" % (value_1, time.time()-t_0))
+        print "density = 1000:  output=%g  time=%g" % (value_1, time.time()-t_0)
         
         t_0 = time.time()
         canvas.setParam('lores_density', 0.01)
         value_1 = 1.0e8*canvas.getIq(0.1)
-        print("density = 0.00001:  output=%g  time=%g" % (value_1, time.time()-t_0))
-        print()
+        print "density = 0.00001:  output=%g  time=%g" % (value_1, time.time()-t_0)
+        print
     
     
@@ -64,5 +63,5 @@
         #ana_1 = form_factor(q, radius)
         
-        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
+        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
     
 def test_2():
@@ -74,5 +73,5 @@
     shell_vol = 4.0/3.0*math.pi*outer_radius*outer_radius*outer_radius - core_vol
     shell_sld = -1.0*core_vol/shell_vol
-    print("Shell SLD", shell_sld)
+    print "Shell SLD", shell_sld
 
     
@@ -127,5 +126,5 @@
         ana_1 = sphere.run(q)
         
-        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
+        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
         out.write( "%g  %g  %g\n" % (q, sim_1, ana_1))
 
@@ -169,5 +168,5 @@
         #ana_1 = form_factor(q, radius)
         
-        print("q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1))
+        print "q=%g  sim=%g  ana=%g   ratio=%g" % (q, sim_1, ana_1, sim_1/ana_1)
 
 def test_5():
@@ -194,5 +193,5 @@
     ana = ana.runXY([0.1, 0.1])
     sim = model.getIq2D(0.1, 0.1)
-    print(ana, sim, sim/ana, ana/sim)
+    print ana, sim, sim/ana, ana/sim
 
 def test_6():
@@ -233,5 +232,5 @@
     
     
-    print(model.npts)
+    print model.npts
     for i in range(40):
         qmax = 0.5
@@ -241,9 +240,9 @@
         anaY = ana.runXY([0, qmax*i/40.0])
         simY = model.getIq2D(0, qmax*i/40.0)
-        print(anaX, simX, simX/anaX, '|', anaY, simY, simY/anaY)
+        print anaX, simX, simX/anaX, '|', anaY, simY, simY/anaY
     
 def test_7():
     from sas.models.CoreShellModel import CoreShellModel
-    print("Testing core-shell")
+    print "Testing core-shell"
     radius = 15
     thickness = 5
@@ -288,5 +287,5 @@
         ana_val = ana.runXY([q, 0.2])
         sim_val, err = canvas.getIq2DError(q, 0.2)
-        print(ana_val, sim_val, sim_val/ana_val, err, (sim_val-ana_val)/err)
+        print ana_val, sim_val, sim_val/ana_val, err, (sim_val-ana_val)/err
     
     
Index: test/sasrealspace/test/sim_validation.py
===================================================================
--- test/sasrealspace/test/sim_validation.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/sasrealspace/test/sim_validation.py	(revision ac07a3acc20dbf79c564bf642aece71a02c2c862)
@@ -5,13 +5,11 @@
     @license: This software is provided as part of the DANSE project
 """
-from __future__ import print_function
-
 import math, time, pylab
 
 try:
     import VolumeCanvas
-    print("Testing local version")
+    print "Testing local version"
 except:
-    print("Testing installed version")
+    print "Testing installed version"
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
      
@@ -252,6 +250,6 @@
         ana = validator.run_ana(q)
         sim, err = validator.run_sim(q)
-        print("q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
-                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err)))
+        print "q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
+                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err))
         output.write("%g  %g  %g  %g\n" % (q, ana, sim, err))
     output.close()
@@ -280,8 +278,8 @@
         ana = validator.run_ana2D(q*math.cos(phi), q*math.sin(phi))
         sim, err = validator.run_sim2D(q*math.cos(phi), q*math.sin(phi))
-        print("q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
-                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err)))
+        print "q=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%-g) %s" % (q, ana, sim, err, 
+                        (sim-ana), sim/ana, str(math.fabs(sim-ana)>err))
         output.write("%g  %g  %g  %g\n" % (q, ana, sim, err))
-    print("Time elapsed: ", time.time()-t_0)
+    print "Time elapsed: ", time.time()-t_0
     output.close()
        
@@ -308,7 +306,7 @@
     for d in d_list:
         sim, err = validator.run_sim(q, density=d)
-        print("d=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%g) %s" % \
+        print "d=%-g  ana=%-g  sim=%-g  err=%-g  diff=%-g (%g) %s" % \
             (d, ana, sim, err, (sim-ana), (sim-ana)/ana, 
-             str(math.fabs(sim-ana)>err)))
+             str(math.fabs(sim-ana)>err))
         output.write("%g  %g  %g  %g \n" % (d, ana, sim, err))
     output.close()
Index: test/sasrealspace/test/utest_oriented.py
===================================================================
--- test/sasrealspace/test/utest_oriented.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/sasrealspace/test/utest_oriented.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -3,5 +3,4 @@
     @copyright: University of Tennessee, for the DANSE project
 """
-from __future__ import print_function
 
 import unittest, math, sys
@@ -17,9 +16,9 @@
 try:
     import VolumeCanvas
-    print("Testing local version")
+    print "Testing local version"
 except:
-    print(sys.exc_value)
+    print sys.exc_value
     #testing the version that is working on
-    print("Testing installed version")
+    print "Testing installed version"
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
  
@@ -242,5 +241,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print("Error", ana_val, sim_val, sim_val/ana_val)
+            print "Error", ana_val, sim_val, sim_val/ana_val
             raise sys.exc_type, sys.exc_value
 
@@ -396,5 +395,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print("Error", ana_val, sim_val, sim_val/ana_val)
+            print "Error", ana_val, sim_val, sim_val/ana_val
             raise sys.exc_type, sys.exc_value
 
@@ -408,5 +407,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print("Error", ana_val, sim_val, sim_val/ana_val)
+            print "Error", ana_val, sim_val, sim_val/ana_val
             raise sys.exc_type, sys.exc_value
 
@@ -420,5 +419,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print("Error", ana_val, sim_val, sim_val/ana_val)
+            print "Error", ana_val, sim_val, sim_val/ana_val
             raise sys.exc_type, sys.exc_value
 
@@ -432,5 +431,5 @@
             self.assert_( math.fabs(sim_val/ana_val-1.0)<0.05 )
         except:
-            print("Error", ana_val, sim_val, sim_val/ana_val)
+            print "Error", ana_val, sim_val, sim_val/ana_val
             raise sys.exc_type, sys.exc_value
 
Index: test/sasrealspace/test/utest_realspace.py
===================================================================
--- test/sasrealspace/test/utest_realspace.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/sasrealspace/test/utest_realspace.py	(revision 45dffa69cb5935e2da7c77a2f040debb07ceb1c6)
@@ -3,5 +3,4 @@
     @author: Mathieu Doucet / UTK
 """
-from __future__ import print_function
 
 import unittest, math, time
@@ -16,10 +15,10 @@
 try:
     import VolumeCanvas
-    print("Testing local version")
+    print "Testing local version"
 except:
     import sys
-    print(sys.exc_value)
+    print sys.exc_value
     #testing the version that is working on
-    print("Testing installed version")
+    print "Testing installed version"
     import sas.sascalc.realspace.VolumeCanvas as VolumeCanvas
      
Index: test/utest_sasview.py
===================================================================
--- test/utest_sasview.py	(revision aaf5e497ff1af2aa7b8b3d361ab951e2a0ca7c93)
+++ test/utest_sasview.py	(revision 959eb0181ad06828a748f04512f953aad5b31659)
@@ -1,5 +1,3 @@
 #!/usr/bin/env python
-from __future__ import print_function
-
 import os
 import subprocess
@@ -82,24 +80,24 @@
                     if has_failed:
                         failed += 1
-                        print("Result for %s (%s): FAILED" % (module_name, module_dir))
-                        print(std_out)
+                        print "Result for %s (%s): FAILED" % (module_name, module_dir)
+                        print std_out
                     else:
                         passed += 1
-                        print("Result for %s: SUCCESS" % module_name)
+                        print "Result for %s: SUCCESS" % module_name
 
-    print("\n----------------------------------------------")
+    print "\n----------------------------------------------"
     if n_tests == 0:
-        print("No tests.")
+        print "No tests."
     else:
-        print("Results by test modules:")
-        print("    PASSED: %d" % passed)
+        print "Results by test modules:"
+        print "    PASSED: %d" % passed
         ratio = 100.0*failed/(failed+passed)
-        print("    FAILED: %d    (%.0f%%)" % (failed,ratio))
+        print "    FAILED: %d    (%.0f%%)" % (failed,ratio)
 
-        print("Results by tests:")
-        print("    Tests run:    %d" % n_tests)
-        print("    Tests failed: %d" % n_failures)
-        print("    Test errors:  %d" % n_errors)
-    print("----------------------------------------------")
+        print "Results by tests:"
+        print "    Tests run:    %d" % n_tests
+        print "    Tests failed: %d" % n_failures
+        print "    Test errors:  %d" % n_errors
+    print "----------------------------------------------"
     
     return failed
